{% extends 'base.html.twig' %}

{% block title %}{{page_title}}{% endblock %}

{% block body %}

{{form_start(form,{"attr":{
    'novalidate':'novalidate'
}})}}
<div class="row">
<div class="col-md-6 col-xs-12">
    <div class="content-box-header">
        <div class="panel-title">{{"Edit product"|trans}}</div>
      
      <div class="panel-options">
         
      </div>
    </div>
    <div class="content-box-large box-with-header">
            
           {{form_row(form.title)}}

           {{form_row(form.sku)}}

           {{form_row(form.description)}}

           {% if form.main_image.vars.data %}
           <div class="form-group row">
             <label class="col-form-label col-sm-2 required" for="category_form_name">{{'Preview image'}}</label>
             <div class="col-sm-10">
               <img src="{{asset(product.getImage(null))}}" style='max-width:100px;' />
              </div>
          </div>
           {% endif %}

           {{form_row(form.main_image)}}

           {{form_row(form.categories)}}

           {{form_row(form.attribute_set)}}

            <div class="action">
                    <button class="btn btn-primary" type="submit">
                    {{"Edit"|trans}}
                    </button>
            </div> 
   
           

  </div>
</div>
<div class="col-md-6 col-xs-12">
    <div class="content-box-header">
        <div class="panel-title">{{"Financial data"|trans}}</div>
      
      <div class="panel-options">
         
      </div>
    </div>
    <div class="content-box-large box-with-header">
            
           {{form_row(form.qty)}}

           {{form_row(form.in_stock)}}

           {{form_row(form.buy_price)}}

           {{form_row(form.price)}}

           {{form_row(form.special_price)}}

           {{form_row(form.tax)}}

            
  </div>
</div>

</div> 

<div class="row">
    <div class="col-md-6 col-xs-12">
        <div class="content-box-header">
            <div class="panel-title">{{"Vendor data"|trans}}</div>
          
          <div class="panel-options">
             
          </div>
        </div>
        <div class="content-box-large box-with-header">
                
               {{form_row(form.manufacturer)}}
    
               {{form_row(form.brand)}}
           
      </div>
    </div>

    <div class="col-md-6 col-xs-12">
        <div class="content-box-header">
            <div class="panel-title">{{"Attributes"|trans}}</div>
          
          <div class="panel-options">
             
          </div>
        </div>
        <div class="content-box-large box-with-header">
                
               {{form_row(form.weight)}}

               {{form_row(form.width)}}

               {{form_row(form.height)}}
    
               {{form_row(form.color)}}
           
      </div>
    </div>

 
</div>

<div class="row">
  <div class="col-md-6 col-xs-12">
    <div class="content-box-header">
      <div class="panel-title">{{"Stock movements"|trans}}</div>
    
    <div class="panel-options">
      <a href="#" data-toggle="modal" data-target="#stockModal"><i class="fas fa-sign-out-alt"></i></a>
    </div>
    </div>
    <div class="content-box-large box-with-header">
    
          <div class="stock-messages">
            
          </div>
          <div class="table-responsive">
          <table class="table table-striped">
              <thead>
                <tr>
                  <th>{{"Warehouse"|trans}}</th>
                  <th>{{"Warehouse code"|trans}}</th>
                  <th>{{"Qty"|trans}}</th>
                  <th>{{"Last updated"}}</th>
                  <th>{{"Restore"|trans}}</th>
                </tr>
              </thead>
              <tbody class="stocks_table" data-url="{{path('products_warehouse_stocks',{
                id:product.id
              })}}">
               
              </tbody>
            </table>
      </div>
   
  </div>
  </div>




<div class="col-md-6 col-xs-12">
  <div class="content-box-header">
      <div class="panel-title">{{"Extra attributes"|trans}}</div>
    
    <div class="panel-options">
       
    </div>
  </div>
  <div class="content-box-large box-with-header">
        
      {% for k,ch in extraAttrForm.children if k != "_token" %}
        {{form_row(ch)}}
      {% endfor %}
     
</div>
</div>
</div>
{{form_end(form)}}
<div class="row">
    <div class="col-md-6">
        <div class="content-box-header">
            <div class="panel-title">{{"Attached files"|trans}}</div>
          
          <div class="panel-options">
             
          </div>
        </div>
        <div class="content-box-large box-with-header ">
          <div class="file-messages" >
    
          </div>
         <div class="js-append-files">
    
         </div>
    
      </div>
      
    </div>
    <div class="col-md-6">
        <div class="content-box-header">
            <div class="panel-title">{{"Attach files"|trans}}</div>
          
          <div class="panel-options">
             
          </div>
        </div>
        <div class="content-box-large box-with-header">
    
       
                {{generate_dropzone(product,product.id,null,{
                  singular:false
                })}}
 
    
      </div>
    </div>
</div>
<div class="modal fade" id="stockModal" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title">{{"Move stock"}}</h5>
          
        </div>
        <div class="modal-body">
          <div class="form-messages">
            
          </div>
            {{form_start(stockMovementForm,{"attr":{
              'novalidate':'novalidate',
              'data-action':path('products_move_stock',{
                id:product.id
              }),
              'class':'stock_movement_form'
          }})}}

          {{form_row(stockMovementForm.fromWarehouse)}}

          {{form_row(stockMovementForm.toWarehouse)}}

          {{form_row(stockMovementForm.qty)}}

          {{form_end(stockMovementForm)}}
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-primary move_stock_btn">{{"Move"|trans}}</button>
          <button type="button" class="btn btn-secondary" data-dismiss="modal">{{"Cancel"|trans}}</button>
        </div>
      </div>
    </div>
  </div>

{% endblock %}

{% block scripts %}

  {{parent()}}

  <script src="{{asset('js/products.js')}}"></script>
  <script src="{{asset('js/dropzone-generator.js')}}"></script>

{% endblock %}



